C
C
C		THIS SUBROUTINE WAS MADE FOR THOSE INDIVIDUALS
C		HOW COULD NOT TAKE THE PRESSURES OF BEING A
C		UNITED FEDERATION STARSHIP COMMANDER.
C
C		IT WILL DELETE THEIR PLACE IN BOTH THE PASSWORD
C		AND STATISTICS FILE WITH NO CHANCE OF RETURNING
C		WITHOUT STARTING OVER ( OR MODIFY )
C
C
C
C
C
C		**********		QUIT THE GAME
	SUBROUTINE QUIT
	DIMENSION IAC(60),IPS(16)
	EQUIVALENCE (IAC(1),RNKK),(IAC(6),USR2),(IAC(14),SHP1),
     1		(IAC(24),I23),(IAC(28),I27),(IAC(32),I35),
     1		(IAC(36),I31),(IAC(40),I39),(IAC(44),I43),
     1		(IAC(48),A47),(IAC(53),I52)
	EQUIVALENCE (IPS(1),USR1),(IPS(9),PASS1)
	LOGICAL*1	IPS,IAC
	CHARACTER*8	USR2,USR1,PASS1,USR,PASS
	CHARACTER*10	SHP1
	CHARACTER*5	RNKK
10080	PRINT 10081
10081	FORMAT(1X,'ARE YOU SURE YOU WANT TO QUIT (Y/N) :',$)
	ACCEPT 10082,ANS
10082	FORMAT(A10)
	IF (ANS .NE. 'Y') STOP
	PRINT 10083
10083	FORMAT(1X,'OKAY',/,1X,'NAME  :',$)
	ACCEPT 10082,USR
	PRINT 10084
10084	FORMAT(1X,'PASSWORD  :',$)
	ACCEPT 10082,PASS
	DO 10085 I=1,200
		READ (4'I,END=10)IPS
		IF (USR1 .EQ. USR .AND. PASS .EQ. PASS1) GOTO 10086
10085	CONTINUE
	TYPE *,' ** FOO ....... YOU CAN''T FOOL ME'
	STOP
10086	PRINT 10081
	ACCEPT 10082,ANS
	IF (ANS .NE. 'Y') STOP
	PRINT 10087
10087	FORMAT(1X,'YOU ARE NOW LONGER A MEMBER OF THE FEDARATION',
     1		', THANKS FOR BEING A PART OF US')
	DO 10088 II=1,200
		READ(22'II)IAC
		IF (USR .EQ. USR2) GOTO 10089
10088	CONTINUE
10089	DO 10090 K=II,199
		READ(22'K+1)IAC
		WRITE(22'K)IAC
10090	CONTINUE
	RNKK=' '
	USR2=' '
	SHP1=' '
	I23=0
	I27=0
	I31=0
	I35=0
	I39=0
	I43=0
	A47=0
	I52=0
	WRITE(22'200)IAC
	USR1=' '
	PASS1=' '
	WRITE(4'I)IPS
C
10	CONTINUE
	END
